---
layout: mockup
title: "Wi-Fi"
theme: Adwaita/Adwaita.css
permalink: settings/network/wifi/
wallpaper: adwaita
category: "Network"
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/network/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton" href="{{ site.baseurl }}/settings/network/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<span class="title">{{ page.category }}</span>
		</div>
		<!-- Title -->
		<div class="title-group with-subtitle">
			<span class="title">{{ page.title }}</span><span class="subtitle" id="wifiStatus">Connected</span>
		</div>
		<div class="button-group float-right">
			{%- include components/switch.html checked="checked" id = "wifiSwitch" -%}
			<!-- <a class="button image-button" id="wifiMenuPopover">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a> -->
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		<!-- Sidebar -->
		<ul id="settingsNetworkSidebar" class="sidebar">
		{%- for item in site.data.settings-alt-network -%}<a href="{{ site.baseurl }}/settings{{ item.link }}"><li>{%- include symbolic/{{ item.icon }}-symbolic.svg -%}<span>{{ item.title }}</span></li></a>{%- if item.has-separator == true -%}<div class="separator"></div>{%- endif -%}{%- endfor -%}
		</ul>
		<!-- View -->
		<div class="view">
			<!-- Visible Networks -->
			<div id="networkList" class="row">
				<h5>Visible Networks<div class="icon s16 spinner dim-label float-right">{%- include symbolic/status/process-working-symbolic.svg -%}</div></h5>
				<ul class="listrow">
					<li>
						<div class="icon s16">{%- include symbolic/status/network-wireless-signal-excellent-symbolic.svg -%}</div>
						<div class="icon s16" style="margin-left:0">{%- include symbolic/status/network-wireless-encrypted-symbolic.svg -%}</div>
						<label>MyWifi</label>
						<a class="button image-button circular float-right" onclick="$('#wifiNetworkSettingsDialog').show();">{% include symbolic/categories/applications-system-symbolic.svg %}</a><div class="spacer float-right"></div>
						<label class="dim-label float-right hidden">Disconnected</label>
						<div class="icon s16 float-right">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
					</li>
					<li>
						<div class="icon s16">{%- include symbolic/status/network-wireless-signal-excellent-symbolic.svg -%}</div>
						<div class="icon s16" style="margin-left:0">{%- include symbolic/status/network-wireless-encrypted-symbolic.svg -%}</div>
						<label>MyWifi_5GHz</label>
						<a class="button image-button circular float-right" onclick="$('#wifiNetworkSettingsDialog').show();">{% include symbolic/categories/applications-system-symbolic.svg %}</a><div class="spacer float-right"></div>
					</li>
					<li>
						<div class="icon s16">{%- include symbolic/status/network-wireless-signal-weak-symbolic.svg -%}</div>
						<div class="icon s16" style="margin-left:0">{%- include symbolic/status/network-wireless-encrypted-symbolic.svg -%}</div>
						<label>eduroam</label>
						<a class="button image-button circular float-right" onclick="$('#wifiNetworkSettingsDialog').show();">{% include symbolic/categories/applications-system-symbolic.svg %}</a><div class="spacer float-right"></div>
					</li>
					<li id="forgottenNetwork1" class="hidden" onclick="$('#connectToWifiDialog').show();">
						<div class="icon s16">{%- include symbolic/status/network-wireless-signal-excellent-symbolic.svg -%}</div>
						<div class="icon s16" style="margin-left:0">{%- include symbolic/status/network-wireless-encrypted-symbolic.svg -%}</div>
						<label>MyWifi</label>
					</li>
					<li onclick="$('#connectToWifiDialog').show();">
						<div class="icon s16">{%- include symbolic/status/network-wireless-signal-good-symbolic.svg -%}</div>
						<div class="icon s16" style="margin-left:0">{%- include symbolic/status/network-wireless-encrypted-symbolic.svg -%}</div>
						<label>Coffee Shop</label>
					</li>
					<li onclick="$('#connectToWifiDialog').show();">
						<div class="icon s16">{%- include symbolic/status/network-wireless-signal-good-symbolic.svg -%}</div>
						<div class="icon s16" style="margin-left:0">{%- include symbolic/status/network-wireless-encrypted-symbolic.svg -%}</div>
						<label>d-link333</label>
					</li>
					<li onclick="$('#connectToWifiDialog').show();">
						<div class="icon s16">{%- include symbolic/status/network-wireless-signal-weak-symbolic.svg -%}</div>
						<label>d-link333 Guest</label>
					</li>
					<li onclick="$('#connectToWifiDialog').show();">
						<div class="icon s16">{%- include symbolic/status/network-wireless-signal-weak-symbolic.svg -%}</div>
						<label>FBI Surveillance Van</label>
					</li>
					<li>
						<div class="icon s16 dim-label">{%- include symbolic/status/network-wireless-no-route-symbolic.svg -%}</div>
						<label class="dim-label">Unknown</label>
					</li>
				</ul>
			</div>
			{%- include components/empty-state.html
				id = "wifiDisabled"
				icon="status/network-wireless-no-route" 
				title = "No Wi-Fi Connections" 
				message= "Make sure you have a Wi-Fi adapter plugged in and turned on." 
			-%}
			<!-- Wifi Hotspot -->
			<div class="row" id="wifiHotspotRow">
				<h5>Wi-Fi Hotspot</h5>
				<ul class="listrow">
					<li onclick="$('#deviceNameDialog').show();">
						<label>Name</label>
						<label class="float-right dim-label" id="hotSpotName">MyHotSpot</label>
					</li>
					<li id="wifiHotSpotPassword">
						<label>Password</label>
						<div data-toggle="collapse" data-target="#showHotSpotPassword" class="dropdown button image-button flat float-right" id="revealHotSpotPassword" onclick="$('#revealHotSpotPassword > .symbolic:nth-child(1)').toggle();$('#revealHotSpotPassword > .symbolic:nth-child(2)').toggle();">{%- include symbolic/actions/view-reveal-symbolic.svg -%}{%- include symbolic/actions/view-conceal-symbolic.svg -%}</div>
						<label class="float-right dim-label">&bull;&bull;&bull;&bull;&bull;&bull;&bull;&bull;</label>
					</li>
					<div id="showHotSpotPassword" class="collapse" aria-expanded="false">
						<ul class="listrow borderless text-center">
							<li>
								<label class="bold-label monospace">GoBU8hpQ3hH</label>
							</li>
						</ul>
					</div>
					<li class="text-center" onclick="$('#wifiHotspotRow').hide();$('#networkList').show();">
						<label class="destructive-action">Turn off Wi-Fi Hotspot</label>
					</li>
				</ul>
			</div>
			<!-- Wi-Fi Options -->
			<div id="wifiOptions" class="row">
				<ul class="listrow">
					<li id="wifiHotspotOption" onclick="$('#wifiHotspotDialog').show();">
						<label>Turn on Wi-Fi Hotspot&hellip;</label>
						<!-- {%- include components/listrow-link-icon.html -%} -->
					</li>
					<li id="hiddenWifiOption" onclick="$('#hiddenNetworksDialog').show();">
						<label>Connect to Hidden Network&hellip;</label>
						<!-- {%- include components/listrow-link-icon.html -%} -->
					</li>
					<li onclick="$('#knownNetworksDialog').show();">
						<label>Known Networks</label>
						{%- include components/listrow-link-icon.html -%}
					</li>
				</ul>
			</div>
		</div>
	</div>
	{%- include components/settings/wifi-known-networks-dialog.html -%}
	{%- include components/settings/wifi-hidden-networks-dialog.html -%}
	{%- include components/settings/wifi-network-settings-dialog.html -%}
	{%- include components/settings/wifi-network-security-dialog.html -%}
	{%- include components/settings/wifi-network-details-dialog.html -%}
	{%- include components/settings/wifi-network-ipv4-dialog.html -%}
	<!-- Connect to Wifi Dialog -->
	<div class="gtkdialog" id="connectToWifiDialog">
		<div class="gtkdialog-window message-dialog">
			<div class="gtkdialog-content">
				<div class="row">
					<h3>Authentication required</h3>
					<p>A password or encryption key is required to connect to wireless network "$NETWORK".</p>
					<ul class="listrow unstyled">
						<li><input class="entry full-width" placeholder="Password" type="password" id="wifiPasswordEntry"></input></li>
					</ul>
				</div>
				<a class="button text-button float-left" onclick="$('#connectToWifiDialog').hide();">Cancel</a>
				<a class="button text-button float-right" onclick="$('#connectToWifiDialog').hide();">Connect</a>
			</div>
		</div>
	</div>
	<!-- Turn on Hot Spot Dialog -->
	<div class="gtkdialog" id="wifiHotspotDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Set Up Wi-Fi Hotspot">
				<a class="button text-button float-left" onclick="$('#wifiHotspotDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" onclick="$('#wifiHotspotDialog').hide();$('#wifiHotspotRow').show();$('#networkList').hide();">Turn On</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<!-- <h3>Turn on Wi-Fi Hotspot?</h3> -->
					<p>Switching on the wireless hotspot will disconnect you from "<b>MyHomeWifi</b>". It is not possible to access the Internet via Wi-Fi while the hotspot is active.</p>
					<ul class="listrow">
						<li onclick="$('#deviceNameDialog').show();">
							<label>Name</label>
							<input type="entry" name="" value="MyHotSpot" class="float-right text-right">
						</li>
						<li id="wifiHotSpotPassword">
							<label>Password</label>
							<!-- <input type="entry" name="" value="GoBU8hpQ3hH" class="float-right text-right"> -->
							<label class="dim-label float-right">GoBU8hpQ3hH</label>
						</li>
						<li>
							<label>Security</label>
							<label class="float-right dim-label">WPA2</label>
						</li>
					</ul>
					<p class="dim-label">Wi-Fi hotspots are usually used to share an additional Internet connection over Wi-Fi.</p>
				</div>
			</div>
		</div>
	</div>
	<!-- Network SSID Dialog -->
	<div class="gtkdialog" id="networkSSIDDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Network Name">
				<a class="button text-button float-left" onclick="$('#networkSSIDDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="networkSSIDApply">Apply</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<p>Choose a new network SSID this is how it will appear to others.</p>
					<ul class="listrow unstyled">
						<li>
							<input class="entry full-width" placeholder="MyHomeWifi" id="networkSSIDEntry"></input>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- Network BSSID Dialog -->
	<div class="gtkdialog" id="networkBSSIDDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Access Point">
				<a class="button text-button float-left" onclick="$('#networkBSSIDDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="networkBSSIDApply">Apply</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<p>Choose a new network BSSID this is how it will appear to others.</p>
					<ul class="listrow unstyled">
						<li>
							<div class="linked" style="width: 100%;">
								<input type="text" placeholder="" name="" class="full-width entry left" style="max-width: calc(100% - 52px);margin-top:-1px;" id="networkBSSIDEntry"><a class="button image-button right" onclick="$(this).toggleClass('pressed');">{%- include symbolic/actions/pan-down-symbolic.svg -%}</a>
							</div>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- Network MACAddress Dialog -->
	<div class="gtkdialog" id="networkMACAddressDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Hardware Address">
				<a class="button text-button float-left" onclick="$('#networkMACAddressDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="networkMACAddressApply">Apply</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<p>Choose a new network MAC Address this is how it will appear to others.</p>
					<ul class="listrow unstyled">
						<li>

							<div class="linked" style="width: 100%;">
								<input type="text" placeholder="01:1B:2C:3D:4E" name="" class="full-width entry left" style="max-width: calc(100% - 52px);margin-top:-1px;" id="networkMACAddressEntry"><a class="button image-button right" onclick="$(this).toggleClass('pressed');">{%- include symbolic/actions/pan-down-symbolic.svg -%}</a>
							</div>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- Network ClonedAddress Dialog -->
	<div class="gtkdialog" id="networkClonedAddressDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Cloned Address">
				<a class="button text-button float-left" onclick="$('#networkClonedAddressDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="networkClonedAddressApply">Apply</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<p>Choose a new network Cloned Address this is how it will appear to others.</p>
					<ul class="listrow unstyled">
						<li>
							<input class="entry full-width" placeholder="---" id="networkClonedAddressEntry"></input>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- Add DNS Server Dialog -->
	<div class="gtkdialog" id="addDNSServerDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Add DNS Server">
				<a class="button text-button float-left"  onclick="$('#addDNSServerDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right"  id="DNSServerApply" onclick="$('#addDNSServerDialog').hide();">Add</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<p>Add a custom Domain Name System (DNS) server for resolving IP Addresses.</p>
					<ul class="listrow unstyled">
						<li><input class="entry full-width" placeholder="0.0.0.0" id="addDSNServerEntry"></input></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- Custom IPv4 Addressing Dialog -->
	<div class="gtkdialog" id="customIPv4AddressingDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Manual IPv4 Addressing">
				<a class="button text-button float-left" onclick="$('#customIPv4AddressingDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" onclick="$('#customIPv4AddressingDialog').hide();$('.customIPv4Addressing2').removeClass('hidden');">Add</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<ul class="listrow">
						<li>
							<label>Address</label>
							<input type="entry" name="" placeholder="0.0.0.0" class="float-right text-right">
						</li>
						<li>
							<label>Netmask</label>
							<input type="entry" name="" placeholder="255.255.0.0" class="float-right text-right">
						</li>
						<li>
							<label>Gateway</label>
							<input type="entry" name="" placeholder="0.0.0.0" class="float-right text-right">
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsNetworkSidebar a:nth-of-type(1) li').addClass("active");});

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li onclick="wifiDisconnect();">Disconnect</li>',
		'<li onclick="wifiForget();">Forget</li>',
		'<li>Settings&hellip;</li>',
		'</ul>'].join('');

	$('#wifiOptionsMenuPopover1').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});


function wifiConnect() {
	$('#wifiOption1').prop('checked', true );
	$('#wifiNetwork1 > label').removeClass('dim-label');
	$('#wifiNetwork1 > .icon').show();
	$('#wifiNetwork1 > label.float-right').addClass('hidden');
}

function wifiDisconnect() {
	$('#wifiNetwork1 > label').addClass('dim-label');
	$('#wifiNetwork1 > .icon').hide();
	$('#wifiNetwork1 > label.float-right').removeClass('hidden');
	$('#wifiOptionsMenuPopover1').popover('hide');
	$('#wifiOption2').prop('checked', true );
}

function wifiForget() {
	$("#wifiNetwork1").hide();
	$('#wifiOption2').prop('checked', true );
	$('#wifiOptionsMenuPopover1').popover('hide');
	$('#forgottenNetwork1').removeClass('hidden');
}


// fill popover use &apos; to quote escape
$(document).ready(function () {
	var popoverContent = ['<ul>',
			'<li onclick="$(&apos;#hiddenNetworksDialog&apos;).show();$(&apos;.popover&apos;).hide();">Connect to Hidden Network&hellip;</li>',
			'<li onclick="$(&apos;#wifiHotspotDialog&apos;).show();$(&apos;.popover&apos;).hide();">Turn on Wi-Fi Hotspot&hellip;</li>',
			'<li onclick="$(&apos;#knownWifiDialog&apos;).show();$(&apos;.popover&apos;).hide();">Known Wi-Fi Networks&hellip;</li>',
		'</ul>'].join('');

	$('#wifiMenuPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

// wifi toggle
$(document).ready(function(){
	$('#wifiSwitch').change(function(){
		if($(this).is(":checked")) {
			$('#nearbyNetworkList').show(); // show network list
			$('#wifiOptions').show(); // show network list
			$('#networkList').show(); // show network list
			$('#wifiDisabled').hide(); // hide empty state
			$('#statusWireless').show(); // show panel icon
			$('#statusWirelessMobile').show(); // show panel icon
			$('#wifiStatus').text('Connected'); //change status text
		} else {
			$('#nearbyNetworkList').hide();
			$('#wifiOptions').hide();
			$('#networkList').hide();
			$('#wifiDisabled').show();
			$('#statusWireless').hide();
			$('#statusWirelessMobile').hide();
			$('#wifiStatus').text('Disconnected');
		}
	});
});

$('#wifiDisabled').hide();
$('.viewMoreWifiOptions').hide();

// change network ssid
$(document).ready(function(){
	$('#networkSSIDApply').click(function(){
		$("#networkSSIDLabel").text($('#networkSSIDEntry').val());
	});
});
$("#networkSSIDApply").click(function(){$("#networkSSIDDialog").hide();}); 

// change network bssid
$(document).ready(function(){
	$('#networkBSSIDApply').click(function(){
		$("#networkBSSIDLabel").text($('#networkBSSIDEntry').val());
	});
});
$("#networkBSSIDApply").click(function(){$("#networkBSSIDDialog").hide();}); 

// change network mac address
$(document).ready(function(){
	$('#networkMacAddressApply').click(function(){
		$("#networkMacAddressLabel").text($('#networkMacAddressEntry').val());
	});
});
$("#networkMacAddressApply").click(function(){$("#networkMACAddressDialog").hide();}); 

// change network cloned address
$(document).ready(function(){
	$('#networkClonedAddressApply').click(function(){
		$("#networkClonedAddressLabel").text($('#networkClonedAddressEntry').val());
	});
});
$("#networkClonedAddressApply").click(function(){$("#networkClonedAddressDialog").hide();}); 

$('#DNSServerApply').click(function(){
	$("#addedDNSServer").removeClass('hidden');
	$("#addedDNSServerLabel").text($('#addDSNServerEntry').val());
});

// hotspot
$('#wifiHotspotRow').hide();

$(document).ready(function(){
	$('#hotSpotNameApply').click(function(){
		$("#hotSpotName").text($('#hotSpotNameEntry').val());
	});
});
$("#hotSpotNameApply").click(function(){$("#hotSpotChangeNameDialog").hide();}); 
</script>